GET
/
v1
/
automations
/
{automation_id}
/
stats
Get automation stats
curl --request GET \
  --url https://platform.jobbit.uk/v1/automations/{automation_id}/stats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://platform.jobbit.uk/v1/automations/{automation_id}/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.jobbit.uk/v1/automations/{automation_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/automations/{automation_id}/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://platform.jobbit.uk/v1/automations/{automation_id}/stats"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://platform.jobbit.uk/v1/automations/{automation_id}/stats")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://platform.jobbit.uk/v1/automations/{automation_id}/stats")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
{
  "totals": {
    "automation_id": "2d9c6a40-7e18-4b3f-a5d2-61f08b4c9e37",
    "since": "2026-10-07T08:00:00+00:00",
    "total": 4,
    "active": 0,
    "by_status": {
      "succeeded": 4
    },
    "failure_reasons": {},
    "finished": 4,
    "succeeded": 4,
    "success_rate": 1,
    "average_duration_seconds": 39.5,
    "total_cost_usd": 0.084,
    "cost_credits": 28,
    "average_run_credits": 7
  },
  "days": [
    {
      "day": "2026-11-02",
      "runs": 1,
      "succeeded": 1,
      "failed": 0,
      "cost_usd": 0.021,
      "cost_credits": 7
    }
  ],
  "money": {
    "month_credits": 7,
    "forecast_month_credits": 28
  },
  "by_step": [
    {
      "step_id": "collect",
      "title": "Collect bookings",
      "cost_credits": 0
    }
  ],
  "monthly_limit_credits": 1000
}
{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "not_found",
"message": "unknown automation",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "invalid_request",
"message": "the request is not valid",
"details": [
{
"location": [
"body",
"name"
],
"message": "String should match pattern '^[a-z0-9][a-z0-9-]*$'",
"type": "string_pattern_mismatch"
}
],
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…

Path Parameters

automation_id
string
required

The automation id.

Maximum string length: 64

Query Parameters

days
integer
default:30

How many days back to count.

Required range: 1 <= x <= 90

Response

The statistics.

totals
object
required
days
object[]
required

Per day.

money
object
by_step
object[]

Cost by step.

monthly_limit_credits
number | null

The monthly limit in credits.